import { request } from '@/utils/request.js';

// unit-manage
export const serviceUnitQueryApi = (data) =>
  request({
    url: '/api/service/service/unit/page',
    params: data,
  });
export const serviceUnitEditApi = (data) =>
  request({
    url: '/api/service/service/unit/edit',
    data,
  });
export const serviceUnitPublishApi = (id) =>
  request({
    url: '/api/service/service/unit/publish',
    params: { id },
  });
export const serviceUnitClozeApi = (id) =>
  request({
    url: '/api/service/service/unit/cloze',
    params: { id },
  });
export const serviceUnitRestartApi = (id) =>
  request({
    url: '/api/service/service/unit/restart',
    params: { id },
  });
export const serviceUnitCancelApi = (id) =>
  request({
    url: '/api/service/service/unit/cancel',
    params: { id },
  });
